
Infrastructure - Task #3905

Sort out shell logins for splunk system

2013-08-09 17:32 - Bruce Wilson

Status: In Progress Start date: 2013-08-09

Priority: Normal Due date:  

Assignee: Bruce Wilson % Done: 30%

Category: Support Operations Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

For security reasons, as a log file consolidation, the current design is that the splunk server will not use DataONE accounts for login. 

That way, compromise of a DataONE credential cannot directly result in compromise of the Splunk server.  The objective of this work

is to finalize the details, and document those details, for who has login accounts, make sure that those people have appropriate ssh

keys for login, with appropriate restrictions on root/sudo access.  

History

#1 - 2013-08-23 13:25 - Bruce Wilson

- Status changed from New to In Progress

#2 - 2013-08-23 13:27 - Bruce Wilson

- Status changed from In Progress to Testing

- % Done changed from 0 to 90

Disregard this comment; updated wrong tracker.

#3 - 2013-08-23 13:27 - Bruce Wilson

- Status changed from Testing to In Progress

- % Done changed from 90 to 10
